Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Class

    java.lang.Object
      |
      +--java.lang.Class

public final class Class
extends Object

This class must never be used in desktop, otherwise you'll get strange errors!

Constructor Summary
`Class()`

Method Summary
`static Class` | `forName(String className)` See also waba.sys.Vm.attachLibrary!
`java.lang.reflect.Field` | `getField(String name)` Not implemented under the SuperWaba VM!
`java.lang.reflect.Method` | `getMethod(String name, Class[] parameterTypes)` Not implemented under the SuperWaba VM!
`String` | `getName()`
`Object` | `getResourceAsStream(String name)` Not implemented under the SuperWaba VM!
`Class` | `getSuperclass()` Not implemented under the SuperWaba VM!
`boolean` | `isInstance(Object obj)`
`Object` | `newInstance()`
`String` | `toString()` Returns the string representation of the object, that is full_class_name@internal_address_hex.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Constructor Detail

### Class

    public Class()

Method Detail

### forName

    public static Class forName(String className)
                         throws ClassNotFoundException

  See also waba.sys.Vm.attachLibrary! IMPORTANT! Any classes that you instantiate by using Class.forName MUST BE INCLUDED MANUALY to the parameters of WARP. For example, if you do a Class.forName("MyClass") and MyClass is not referenced explicitly in any other place, then WARP will NOT INCLUDE it in the pdb.

### newInstance

    public Object newInstance()
                       throws InstantiationException,
                              IllegalAccessException

### isInstance

    public boolean isInstance(Object obj)

### getName

    public String getName()

### toString

    public String toString()

  Description copied from class: Object
  Returns the string representation of the object, that is full_class_name@internal_address_hex. Note that, differently from JDK, the package separator is / instead of .
  Overrides:
    toString in class Object

### getResourceAsStream

    public Object getResourceAsStream(String name)

  Not implemented under the SuperWaba VM! Will crash if used in the device!

### getMethod

    public java.lang.reflect.Method getMethod(String name,
                                              Class[] parameterTypes)

  Not implemented under the SuperWaba VM! Will crash if used in the device!

### getSuperclass

    public Class getSuperclass()

  Not implemented under the SuperWaba VM! Will crash if used in the device!

### getField

    public java.lang.reflect.Field getField(String name)

  Not implemented under the SuperWaba VM! Will crash if used in the device!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD